<template>
  <section>
    <!-- <button @click="getBands()">Get Bands</button> -->
    <p v-if="errors">{{errors}}</p>
    <ul>
      <li v-for="band in bands" :key="band.id">
          {{band.name}} : {{band.country}}
      </li>
    </ul>
  </section>
</template>

<script>
import axios from "axios";
export default {
  data() {
    return {
      bands: [],
      errors: null
    };
  },
  mounted() {
      this.getBands();
  },
  methods: {
    getBands() {
        axios.get('http://localhost:8000/api/band')
        .then(response => this.bands = response.data)
        .catch(err => this.errors = 'There has been a problem.');
 
    }
  }
};
</script>

<style>
</style>
